in_array
krsort
Fonctions sur les tableaux
PHP Manual

# key

(PHP 4, PHP 5)

key — Retourne une clé d'un tableau associatif

### Description

mixed key ( array `&$array` )

key() retourne la clé courante dans le tableau `array` .

### Liste de paramètres

`array`

  Le tableau.

### Valeurs de retour

Retourne l'index.

### Exemples

Exemple #1 Exemple avec key()

`<?php
$array = array(
'fruit1' => 'apple',
'fruit2' => 'orange',
'fruit3' => 'grape',
'fruit4' => 'apple',
'fruit5' => 'apple');
// Cette boucle affiche toutes les clés
// dont la valeur vaut "apple"
while ($fruit_name = current($array)) {
if ($fruit_name == 'apple') {
echo key($array).'<br />';
}
next($array);
}
?>`

L'exemple ci-dessus va afficher :

    fruit1<br />
    fruit4<br />
    fruit5<br />

### Voir aussi

- current()
- next()

in_array
krsort
Fonctions sur les tableaux
PHP Manual